Skip to main content
GET
List audits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Organization identifier.

Required string length: 24
Pattern: ^[0-9a-f]{24}$

Query Parameters

page
integer
default:1

Page number to query.

Required range: x >= 1
per_page
integer
default:100

Number of items per page.

Required range: 1 <= x <= 100
fields
string

Comma-separated list of response fields to include.

Example:

"id,audited_at,action,entity_type,entity_id,trigger_type,trigger_id,trigger_name"

sort
string

Sorting expression in the format :asc|desc. In aggregate mode, only accepts group_by fields or aggregated aliases (count, <function>_<field>).

Pattern: ^([a-z_]+):(asc|desc)$
filters
string

Filtering JSON expression on filterable fields in the response.

aggregate
string

JSON expression for aggregation. Structure: {"group_by":["field"],"aggregates":[{"field":"*","function":"count"}]}. Cannot be combined with fields.

Maximum string length: 1024

Response

Audit list retrieved successfully.

has_next
boolean
required

Indicates if there's a next page.

data
object[]
required

List of audits.